Update task history
Update task history. See the OpenAPI-defined parameters, request body, and responses below.
PUT
/FlowTaskHistory/{id}Update task history. See the OpenAPI-defined parameters, request body, and responses below.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
Content type: application/json · Schema: FlowTaskHistoryDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
flowTaskId | integer · int32 | No | — | — |
eventType | FlowTaskHistoryEventType | No | — | — |
fromFlowStageId | integer · int32 | No | — | nullable |
toFlowStageId | integer · int32 | No | — | nullable |
userId | integer · int32 | No | — | nullable |
agentId | integer · int32 | No | — | nullable |
description | string | No | — | nullable |
payload | string | No | — | nullable |
createdAt | string · date-time | No | — | nullable |
Example request
curl --request PUT \
--url 'https://api.zild.ai/FlowTaskHistory/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"flowTaskId": 0,
"eventType": 0,
"fromFlowStageId": 0,
"toFlowStageId": 0,
"userId": 0,
"agentId": 0,
"description": "string",
"payload": "string",
"createdAt": "2026-09-22T18:00:00Z"
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | OK | No response body is defined. |
Data models
FlowTaskHistoryDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
flowTaskId | integer · int32 | No | — | — |
eventType | FlowTaskHistoryEventType | No | — | — |
fromFlowStageId | integer · int32 | No | — | nullable |
toFlowStageId | integer · int32 | No | — | nullable |
userId | integer · int32 | No | — | nullable |
agentId | integer · int32 | No | — | nullable |
description | string | No | — | nullable |
payload | string | No | — | nullable |
createdAt | string · date-time | No | — | nullable |
FlowTaskHistoryEventType
0 = Created; 1 = StageChanged; 2 = Assigned; 3 = Completed; 4 = Rejected; 5 = Reopened; 6 = Commented; 7 = ExecutedByAgent; 8 = EscalatedToHuman; 9 = ExecutionFailed
integer